"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValueReference = void 0;
const react_1 = require("react");
const ValueReference = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'valueReference',
        ...props,
    }, children);
};
exports.ValueReference = ValueReference;
ValueReference.Enumeration = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/Enumeration",
        ...props
    }, children);
};
ValueReference.DefinedTerm = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/DefinedTerm",
        ...props
    }, children);
};
ValueReference.MeasurementTypeEnumeration = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/MeasurementTypeEnumeration",
        ...props
    }, children);
};
ValueReference.QualitativeValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/QualitativeValue",
        ...props
    }, children);
};
ValueReference.StructuredValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/StructuredValue",
        ...props
    }, children);
};
ValueReference.PropertyValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/PropertyValue",
        ...props
    }, children);
};
ValueReference.QuantitativeValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "valueReference",
        itemScope: true,
        itemType: "https://schema.org/QuantitativeValue",
        ...props
    }, children);
};
